#! @BASH@
echo 1..1 # Number of tests to be executed.
#
test -n "$CDO"      || CDO="@abs_top_builddir@/src/cdo $CDO_DEBUG"
test -n "$DATAPATH" || DATAPATH="@abs_top_srcdir@/test/data/"
#
IFILE=$DATAPATH/pl_data.grb
OFILE=pl_data.grb
RFILE1=pl_data.ctl
RFILE2=pl_data.gmp
cp $IFILE $OFILE
#
NTEST=1
#
RSTAT=0
#
STATS="gradsdes"
CDOTEST="$STATS GRIB1"

CDOCOMMAND="$CDO $STATS $OFILE"

echo "Running test: $NTEST - $CDOTEST"
echo "$CDOCOMMAND"

$CDOCOMMAND
test $? -eq 0 || (( RSTAT+=1 ))

head -12 $DATAPATH/$RFILE1 > h1
head -12 $RFILE1 > h2

diff h1  h2
test $? -eq 0 || (( RSTAT+=1 ))
rm -f h1 h2

cmp -s $DATAPATH/$RFILE2  $RFILE2
test $? -eq 0 || (( RSTAT+=1 ))

rm -f $OFILE $RFILE1 $RFILE2

test $RSTAT -eq 0 && echo "ok $NTEST - $CDOTEST"
test $RSTAT -eq 0 || echo "not ok $NTEST - $CDOTEST"
#
exit 0
